
import { Button, Popconfirm } from 'antd'
import FormPage from '../../components/FormPage'
import {extendRule, initFilter} from "../../utils/common";

//角色组列表页
export default {
  btnEdit:({record,close,loadData,login,dispatch})=> {
    const closeF=()=>{
      close();
      loadData();
    };
    const regClick=async function (){
      await dispatch({
        type: 'custom/save',
        payload: {
          ['roleGroupEditClick'+(record? record.ID:'')]:true
        },
      });
    };
    const data={
      id:(record? record.ID:''),
      close:closeF,
      roleGroupEditClick:login.roleGroupEditClick
    };
    return {
      content: <FormPage formCode={'FM028'} data={data}/>,
      click: regClick
    }
  }

}
